Agents
Create an agent
POST /v1/agents- Permission
write:configs- Tokens
- API key, CLI user token
Create an API-managed agent. It is live immediately.
{
}
{
}
1
import os
2
3
from ellipsis import Ellipsis
4
from ellipsis import models
5
6
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
7
8
request = models.CreateAgentRequest.model_validate(
9
{
10
"agent": {
11
"ellipsis": {
12
"kind": "agent",
13
"name": "check-tests",
14
"version": "v1",
15
"enabled": True,
16
"metadata": {
17
"labels": [],
18
"annotations": {}
19
}
20
},
21
"session": {
22
"claude_code": {
23
"model": "claude-opus-5-5",
24
"prompt": "Run the tests and report failures."
25
},
26
"environment": "api-environment",
27
"budget": {
28
"session": 3
29
},
30
"permissions": {
31
"github": {},
32
"ellipsis": True
33
},
34
"skills": [],
35
"conversation": {
36
"interactive": True
37
},
38
"metadata": {}
39
}
40
}
41
}
42
)
43
44
result = client.agents.create(request.agent)
45
print(result)
1
import { Ellipsis } from '@ellipsis-dev/sdk';
2
3
const client = new Ellipsis({
4
apiKey: process.env.ELLIPSIS_API_TOKEN!,
5
});
6
7
const request: Parameters<typeof client.agents.create>[0] = {
8
"agent": {
9
"ellipsis": {
10
"kind": "agent",
11
"name": "check-tests",
12
"version": "v1",
13
"enabled": true,
14
"metadata": {
15
"labels": [],
16
"annotations": {}
17
}
18
},
19
"session": {
20
"claude_code": {
21
"model": "claude-opus-5-5",
22
"prompt": "Run the tests and report failures."
23
},
24
"environment": "api-environment",
25
"budget": {
26
"session": 3
27
},
28
"permissions": {
29
"github": {},
30
"ellipsis": true
31
},
32
"skills": [],
33
"conversation": {
34
"interactive": true
35
},
36
"metadata": {}
37
}
38
}
39
};
40
41
const result = await client.agents.create(request);
42
console.log(result);
1
curl -X POST "https://api.ellipsis.dev/v1/agents" \
2
-H "Authorization: Bearer $ELLIPSIS_API_TOKEN" \
3
-H "Content-Type: application/json" \
4
-d '{
5
"agent": {
6
"ellipsis": {
7
"kind": "agent",
8
"name": "check-tests",
9
"version": "v1",
10
"enabled": true,
11
"metadata": {
12
"labels": [],
13
"annotations": {}
14
}
15
},
16
"session": {
17
"claude_code": {
18
"model": "claude-opus-5-5",
19
"prompt": "Run the tests and report failures."
20
},
21
"environment": "api-environment",
22
"budget": {
23
"session": 3
24
},
25
"permissions": {
26
"github": {},
27
"ellipsis": true
28
},
29
"skills": [],
30
"conversation": {
31
"interactive": true
32
},
33
"metadata": {}
34
}
35
}
36
}'
Request
agentAgentConfig-Inputrequired
The agent's definition, in the same schema as a YAML file under .ellipsis/.
Response
agentAgentrequired
The agent.